Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.testing.jacoco.tasks
[Java] Interface JacocoReportsContainer

    org.gradle.api.NamedDomainObjectSet
      org.gradle.testing.jacoco.tasks.JacocoReportsContainer
          org.gradle.util.Configurable
              java.lang.Iterable
                  org.gradle.api.NamedDomainObjectCollection
                      org.gradle.api.DomainObjectCollection
                          org.gradle.api.reporting.ReportContainer
                              java.util.Collection

All Superinterfaces:
  NamedDomainObjectSet, Configurable, Iterable, NamedDomainObjectCollection, DomainObjectCollection, ReportContainer, Collection

    @Incubating
    public interface JacocoReportsContainer
    extends ReportContainer

The reporting configuration for the the JacocoReport task.

Method Summary
`SingleFileReport` | `getCsv()` The JaCoCo (single file) CSV report
`DirectoryReport` | `getHtml()` The JaCoCo HTML report
`SingleFileReport` | `getXml()` The JaCoCo (single file) XML report

Methods inherited from interface ReportContainer
getEnabled

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Method Detail

### getCsv

    public SingleFileReport getCsv()

  The JaCoCo (single file) CSV report
  Returns:
    The JaCoCo (single file) CSV report

### getHtml

    public DirectoryReport getHtml()

  The JaCoCo HTML report
  Returns:
    The JaCoCo HTML report

### getXml

    public SingleFileReport getXml()

  The JaCoCo (single file) XML report
  Returns:
    The JaCoCo (single file) XML report

Gradle API 1.10